### Method

# Panel SessionItem has_metadata

#### Declaration [src]

    gboolean
    panel_session_item_has_metadata (
      PanelSessionItem* self,
      const char* key,
      const GVariantType** value_type
    )

#### Description [src]

If the item contains a metadata value for `key`.

Checks if a value exists for a metadata key and retrieves the `GVariantType` for that key.

#### Parameters

`key`

  Type: `const char*`

  The name of the metadata.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value_type`

  Type: `GVariantType`

  A location for a `GVariantType` or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `self` contains metadata named `key` and `value_type` is set to the value’s `GVariantType`. Otherwise `FALSE` and `value_type` is unchanged.